#!/usr/bin/perl
#
# v0.1 :)
#
# gensig.pl <absolute URL> <ignorewords>
#
# MD5 signature generator for use with check_integrity.pl 
#

require 5.003;
use LWP::UserAgent;
use Digest::MD5 qw(md5_hex);

sub usage;

my $site = shift;
my $param = shift|| &usage(%ERRORS);

  $ua = LWP::UserAgent->new;
  $ua->agent("MyApp/0.1 ");
  my $req = HTTP::Request->new(GET => $site);
  $req->content('match=www&errors=0');
  my $res = $ua->request($req);

  if ($res->is_success) {
    @input = split /\n/,$res->content;
    $ignore = $param;
    $param =~ s/\,/\|/g;
    if ($param ne "none") {
    @selected = grep { !/$param/ } @input;
    } else {
    @selecte = @input;
    }
    $actsig = md5_hex(@selected);
    print "Site is " . $site . " and signature is " . $actsig . " \n";
    } else {
    print "Plugin returned code " . $res->code . " - " . $res->message . " ... did you mistype anything ? :-> \n";
    }
print $answer;

sub usage
  {
  print "Minimum arguments not supplied!\n\n";
  print "MD5 signature generator for use with check_integrity.pl\n";
  print "Copyright (c) 2002 Paulo Pinto\n\n";
  print "Usage: $0 <absolute URL> <ignoreword>\n\n";
  print "<absoluteURL> = URL to monitor.\n";
  print "<ignoreword> = Comma separated list of match words for line ignoring (i.e., \"doubleclick\") Use \"none\" to disable.\n";
  exit $ERRORS{"UNKNOWN"};
  }
